org.richfaces.renderkit

## Class DnDRenderBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.DnDRenderBase

- Direct Known Subclasses:
    DragSourceRenderer, DropTargetRenderer

      public abstract class DnDRenderBase
      extends RendererBase

  Author:
    abelevich

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DnDRenderBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildAndStoreScript(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `abstract DnDScript` | `createScript(String name)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `abstract Map<String,Object>` | `getOptions(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `String` | `getParentClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `abstract String` | `getScriptName()`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DnDRenderBase

          public DnDRenderBase()

  - ### Method Detail

    - #### buildAndStoreScript

          public void buildAndStoreScript(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)

    - #### getOptions

          public abstract Map<String,Object> getOptions(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component)

    - #### getScriptName

          public abstract String getScriptName()

    - #### createScript

          public abstract DnDScript createScript(String name)

    - #### getParentClientId

          public String getParentClientId(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.